@echo off
@echo ************ Encode a XML file in schema-less mode ************
java -jar ExiProcessor.jar -xml_in .\sample-data\notebook.xml -exi_out .\sample-out\notebook.schemaless.exi
echo.
echo.
@echo ************ Decode the EXI file ************
java -jar ExiProcessor.jar -exi_in .\sample-out\notebook.schemaless.exi -xml_out .\sample-out\notebook.schemaless.decoded.xml
echo.
echo.
@echo ************ Encode a XML file in schema-informed mode ************
java -jar ExiProcessor.jar -xml_in .\sample-data\notebook.xml -exi_out .\sample-out\notebook.schemaInformed.exi -schema .\sample-data\notebook.xsd
echo.
echo.
@echo ************ Decode the EXI file ************
java -jar ExiProcessor.jar -exi_in .\sample-out\notebook.schemaInformed.exi -xml_out .\sample-out\notebook.schemaInformed.decoded.xml -schema .\sample-data\notebook.xsd
echo.
PAUSE